using Assets;
using UnityEditor;
using UnityEngine;

namespace Editor
{
    [CustomEditor(typeof (CaveGenerator))]
    public class CaveGeneratorUI : UnityEditor.Editor
    {
        public override void OnInspectorGUI()
        {
            var target = this.target as CaveGenerator;
            
            DrawDefaultInspector();

            if (GUILayout.Button("Generate"))
            {
                target.GenerateMap();
            }
        }
    }
}